Subject: Re: Fw: [PATCH] Remove powerpc specific parts of 3c509 driver

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 20 Sep 2006 09:18:38 +1000

> However, I presume someone added the  __powerpc__ define here
> because they picked up a 3c509 at a garage sale, stuck it in 
> a powerpc, found out it didn't work due to a byte-swapping bug,
> and then patched it as above. I'm disturbed that somehow 
> outsl_ns() became identical to outsl() at some point, presumably
> breaking this patch.

The problem is that somebody had the "bright" idea to implement ppc
outsl as byteswapping a loooong time ago. This was totally bogus and got
fixed, but it looks like this driver holds a remain of that period.

Ben.